<?php

namespace Lavalite\Seller\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SellerTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Seller\Models\Seller $seller)
    {
        return [
            'id'                => $seller->getRouteKey(),
            'key'               => [
                'public'    => $seller->getPublicKey(),
                'route'     => $seller->getRouteKey(),
            ], 
            'id'                => $seller->id,
            'reporting_to'      => $seller->reporting_to,
            'name'              => $seller->name,
            'email'             => $seller->email,
            'password'          => $seller->password,
            'api_token'         => $seller->api_token,
            'remember_token'    => $seller->remember_token,
            'sex'               => $seller->sex,
            'dob'               => $seller->dob,
            'designation'       => $seller->designation,
            'mobile'            => $seller->mobile,
            'phone'             => $seller->phone,
            'address'           => $seller->address,
            'street'            => $seller->street,
            'city'              => $seller->city,
            'district'          => $seller->district,
            'state'             => $seller->state,
            'country'           => $seller->country,
            'photo'             => $seller->photo,
            'web'               => $seller->web,
            'permissions'       => $seller->permissions,
            'status'            => $seller->status,
            'paypal_id'         => $seller->paypal_id,
            'seller_status'     => $seller->seller_status,
            'user_id'           => $seller->user_id,
            'user_type'         => $seller->user_type,
            'upload_folder'     => $seller->upload_folder,
            'deleted_at'        => $seller->deleted_at,
            'created_at'        => $seller->created_at,
            'updated_at'        => $seller->updated_at,
            'url'               => [
                'public'    => trans_url('seller/'.$seller->getPublicKey()),
                'user'      => guard_url('seller/seller/'.$seller->getRouteKey()),
            ], 
            'status'            => trans('app.'.$seller->status),
            'created_at'        => format_date($seller->created_at),
            'updated_at'        => format_date($seller->updated_at),
        ];
    }
}